# Uses of Class
org.eclipse.ui.navigator.CommonDropAdapter

Packages that use CommonDropAdapter
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.

## Uses of CommonDropAdapter in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return CommonDropAdapter
Modifier and Type
Method
Description
`protected CommonDropAdapter`
CommonViewer.`createDropAdapter()`
Creates the `CommonDropAdapter`, this is used to provide a subclass if desired.
`protected CommonDropAdapter`
CommonDropAdapterAssistant.`getCommonDropAdapter()`
Returns the `CommonDropAdapter`.
Methods in org.eclipse.ui.navigator with parameters of type CommonDropAdapter
Modifier and Type
Method
Description
`abstract IStatus`
CommonDropAdapterAssistant.`handleDrop(CommonDropAdapter aDropAdapter, DropTargetEvent aDropTargetEvent, Object aTarget)`
Carry out the DND operation.
`void`
CommonDropAdapterAssistant.`setCommonDropAdapter(CommonDropAdapter dropAdapter)`
Sets the `CommonDropAdapter`.

## Uses of CommonDropAdapter in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources with parameters of type CommonDropAdapter
Modifier and Type
Method
Description
`IStatus`
ResourceDropAdapterAssistant.`handleDrop(CommonDropAdapter aDropAdapter, DropTargetEvent aDropTargetEvent, Object aTarget)`